tt_spec_type_set(library call)

NAME
tt_spec_type_set — assign an object type value to an object spec

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_type_set(
const char *objid,
const char *otid);

DESCRIPTION

The tt_spec_type_set function assigns an object type value to the object spec.

The type must be set before the spec is written for the first time and cannot be set thereafter.

The objid argument is the identifier of the object involved in this operation. The otid argument is the otype to be assigned to the spec.

RETURN VALUE

Upon successful completion, the tt_spec_type_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_READONLY
    The attribute the application is trying to change is not owned or writable by the current user.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_spec_create(3), tt_spec_write(3).